# Generated by Django 3.0.4 on 2020-04-02 17:03

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('tmssapp', '0002_populate'),
    ]

    operations = [
        migrations.CreateModel(
            name='ResourceUnit',
            fields=[
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=128), blank=True, default=list, help_text='User-defined search keywords for object.', size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Moment of object creation.')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Moment of last object update.')),
                ('description', models.CharField(help_text='A longer description of this object.', max_length=255)),
                ('name', models.CharField(help_text='Human-readable name of this object.', max_length=128, primary_key=True, serialize=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ResourceType',
            fields=[
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=128), blank=True, default=list, help_text='User-defined search keywords for object.', size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Moment of object creation.')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Moment of last object update.')),
                ('description', models.CharField(help_text='A longer description of this object.', max_length=255)),
                ('name', models.CharField(help_text='Human-readable name of this object.', max_length=128, primary_key=True, serialize=False)),
                ('resource_unit', models.ForeignKey(help_text='Unit of current resource.', on_delete=django.db.models.deletion.PROTECT, related_name='resource_types', to='tmssapp.ResourceUnit')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProjectQuotum',
            fields=[
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=128), blank=True, default=list, help_text='User-defined search keywords for object.', size=8)),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Moment of object creation.')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Moment of last object update.')),
                ('description', models.CharField(help_text='A longer description of this object.', max_length=255)),
                ('name', models.CharField(help_text='Human-readable name of this object.', max_length=128, primary_key=True, serialize=False)),
                ('resource_quota', models.FloatField(help_text='Resource Quota value')),
                ('project', models.ForeignKey(help_text='Project to wich this quota belongs.', on_delete=django.db.models.deletion.PROTECT, related_name='project_quotums', to='tmssapp.Project')),
                ('resource_type', models.ForeignKey(help_text='Resource type.', on_delete=django.db.models.deletion.PROTECT, related_name='resource_type', to='tmssapp.ResourceType')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
